Intermittent Talos dhtml failure: browser frozen

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
9 years ago
a month ago

People

(Reporter: Ehsan, Unassigned)

Tracking

({intermittent-failure})

Trunk
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281097288.1281098829.29359.gz
Rev3 WINNT 5.1 mozilla-central talos chrome on 2010/08/06 05:21:28

NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/colorfade.html (next: http://localhost/page_load_test/dhtml/diagball.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/diagball.html (next: http://localhost/page_load_test/dhtml/fadespacing.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/fadespacing.html (next: http://localhost/page_load_test/dhtml/imageslide.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/imageslide.html (next: http://localhost/page_load_test/dhtml/layers1.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers1.html (next: http://localhost/page_load_test/dhtml/layers2.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers2.html (next: http://localhost/page_load_test/dhtml/layers4.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers4.html (next: http://localhost/page_load_test/dhtml/layers5.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers5.html (next: http://localhost/page_load_test/dhtml/layers6.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers6.html (next: http://localhost/page_load_test/dhtml/meter.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/meter.html (next: http://localhost/page_load_test/dhtml/movingtext.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/movingtext.html (next: http://localhost/page_load_test/dhtml/mozilla.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/mozilla.html (next: http://localhost/page_load_test/dhtml/replaceimages.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/replaceimages.html (next: http://localhost/page_load_test/dhtml/scrolling.html)
NOISE: 
NOISE: __FAILbrowser frozen__FAIL
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/colorfade.html (next: http://localhost/page_load_test/dhtml/diagball.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/diagball.html (next: http://localhost/page_load_test/dhtml/fadespacing.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/fadespacing.html (next: http://localhost/page_load_test/dhtml/imageslide.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/imageslide.html (next: http://localhost/page_load_test/dhtml/layers1.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers1.html (next: http://localhost/page_load_test/dhtml/layers2.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers2.html (next: http://localhost/page_load_test/dhtml/layers4.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers4.html (next: http://localhost/page_load_test/dhtml/layers5.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers5.html (next: http://localhost/page_load_test/dhtml/layers6.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/layers6.html (next: http://localhost/page_load_test/dhtml/meter.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/meter.html (next: http://localhost/page_load_test/dhtml/movingtext.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/movingtext.html (next: http://localhost/page_load_test/dhtml/mozilla.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/mozilla.html (next: http://localhost/page_load_test/dhtml/replaceimages.html)
NOISE: Cycle 1: loaded http://localhost/page_load_test/dhtml/replaceimages.html (next: http://localhost/page_load_test/dhtml/scrolling.html)
NOISE: 
NOISE: __FAILbrowser frozen__FAIL
Failed tdhtml: 
		Stopped Fri, 06 Aug 2010 05:43:18
FAIL: Busted: tdhtml
FAIL: browser frozen
Completed test tdhtml:
Ehsan:

I'm helping triage bugs today and have some background questions about this bug, would it being easier to ping you on IRC or email or ???

I'm looking over the info in your description and am not understanding the context (well, except for the obvious part where it deals with random oranges) and need some help so I can properly triage it.

thanks
(Reporter)

Comment 2

9 years ago
The only reason that I filed this in releng is that I don't know of any other component to file Talos bugs in...  But feel free to ping me over email or IRC if needed.
Ehsan,

I talked a bit with some of the ateam folks and they brought up some thoughts/notes, but first to answer your easy question :)

Product: Testing
Component: Talos

They feel that it's a browser bustage because of how the test is written to work, and also because dhtml tests have been running without this type of failure for literally years.

The majority of the time where this happens is when the test just fails to initialize, the whole browser freezing is very rare.  The bug should really be sent over to the dev team so they can find out when it has first happened in past builds.

thanks
(Reporter)

Comment 4

9 years ago
OK, moving to the correct component...
Component: Release Engineering → Talos
Product: mozilla.org → Testing
QA Contact: release → talos
Version: other → Trunk
Component: Talos → DOM
Product: Testing → Core
QA Contact: talos → general
Moving to Core/Dom as I believe that is where dhtml failures belong.  I see no indication here that there is an issue with the test, as the test hasn't changed in at least 5 years.

Perhaps an intermittent browser failure has been introduced?  The first occurrence of this error should be tracked so that we can build a timeline.
OS: Mac OS X → Windows XP
It is interesting that it is getting stuck on scrolling.html, perhaps related to issues observed in bug 555352?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1289877637.1289879212.30426.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central talos nochrome on 2010/11/15 19:20:37 

NOISE: Cycle 3: loaded http://localhost/page_load_test/dhtml/scrolling.html (next: http://localhost/page_load_test/dhtml/slidein.html)
sh: line 1:   324 Terminated              arch -arch i386 ../Minefield.app/Contents/MacOS/firefox-bin -foreground -profile /var/folders/Xr/Xr--yJnSEY0U11ET5NZuMU+++TM/-Tmp-/tmp3jeZv0/profile -tp page_load_test/dhtml/dhtml.manifest -tpnoisy -tpformat tinderbox -tpcycles 5 > browser_output.txt
NOISE: 
NOISE: __FAILbrowser frozen__FAIL

NOISE: Cycle 3: loaded http://localhost/page_load_test/dhtml/scrolling.html (next: http://localhost/page_load_test/dhtml/slidein.html)
NOISE: 
NOISE: __FAILbrowser frozen__FAIL
OS: Windows XP → All
Hardware: x86 → All
Summary: Intermittent Windows Talos dhtml failure: browser frozen → Intermittent Talos dhtml failure: browser frozen
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
Component: DOM → DOM: Core & HTML
Product: Core → Core
You need to log in before you can comment on or make changes to this bug.